#!/usr/bin/perl

$SH = "tmp.sh";
$qpe_path = "qpe-1.4.0";
$qpe_tarball = "qpe-1.4.0.tar.gz";
$patch = "qpe-1.4.0.patch";
$basepath = `pwd`;
chop($basepath);
$targetqtdir = $basepath."/target/arm/";
$hostqtdir = $basepath."/host/";
$distdir = $basepath."/dist/";
$RUNQPE = $distdir."/qpe.sh";

open( SH, ">$SH" ) || die ("can't open $SH");
select( SH );
print  << "EOF";
#!/bin/bash
 export QTDIR=$targetqtdir
 export TOOLPATH=$hostqtdir
 export LD_LIBRARY_PATH=$hostqtdir/lib:\$LD_LIBRARY_PATH
 tar zxf $qpe_tarball
 cat $patch | patch -p0
 cd $qpe_path
 ./configure -platform arm -qt3
 make

# install QT
 rm -rf $distdir
 mkdir $distdir
 cp -v -r bin apps sounds pics $distdir
 mkdir $distdir/etc/
 mkdir $distdir/etc/dict/
 cp -v etc/dict/dawg$LANG $distdir/etc/dict
 cp -v -a etc/qperc $distdir/etc
 cp -v -a etc/unit_conversion.dat $distdir/etc
 cp -v -a etc/colors $distdir/etc
 cp -v -a etc/qimpen $distdir/etc
 mkdir $distdir/lib/
 cp -v -a $targetqtdir/lib/libq?e.so* $distdir/lib/
 cp -v -a $targetqtdir/lib/fonts $distdir/lib/fonts
 
EOF

select( STDOUT );
close ( SH );
system("chmod +x $SH;./$SH;");
print $output;

open( RUN, ">$RUNQPE" ) || die( "can't open $RUNQPE");
select ( RUN );
print << "EOF";
#!/bin/bash

export QWS_SIZE=640x480
export QTDIR=`pwd`
export QPEDIR=`pwd`
./bin/qpe &>/dev/null

EOF

select ( STDOUT );
close( RUN );
system("chmod +x $RUNQPE");
print $output;

print << "EOF"

The QPE( Qt Palm Environment ) is installed in dist directory. And you should move them into your lubbock platform to run them as a demo. Don't forget to set environment variables: QTDIR and QPEDIR. Or you can run qpe.sh script directly.

Enjoy! Thank you!

EOF
